



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>c++三维静态数组的定义与作为函数的传递</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">c++三维静态数组的定义与作为函数的传递</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-27 09:36:25 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>　　在c++中，我们可以定义三维数组，并且可以将之作为参数直接传递。</p>
<p>　　定义：</p>
<div>
<pre class="prettyprint linenums">#include &lt;iostream&gt;<br />
#include &lt;windows.h&gt;<br />
using namespace std;<br />
const int x = ;<br />
const int y = ;<br />
const int z = ;<br />
int main() {<br />
    double foo[x][y][z];<br />
    for (int i = ; i &lt; x; i++) {<br />
        for (int j = ; j &lt; y; j++) {<br />
            for (int k = ; k &lt; z; k++) {<br />
                foo[i][j][k] = 1.0;<br />
            }<br />
        }<br />
    }<br />
    cout &lt;&lt; foo[][][] &lt;&lt; endl; // 1.0<br />
    system("pause");<br />
    return ;<br />
}</pre>
</div>
<p>　　如上所示，我们设置的是静态数组，所以必须在定义三维数组之前确定其大小，为了程序的可维护性，建议使用const int进行定义。</p>
<p>　　将三维数组作为参数传递：</p>
<div>
<pre class="prettyprint linenums">#include &lt;iostream&gt;<br />
#include &lt;windows.h&gt;<br />
using namespace std;<br />
const int x = ;<br />
const int y = ;<br />
const int z = ;<br />
int bar(double arr[][y][z]);<br />
int main() {<br />
    double foo[x][y][z];<br />
    for (int i = ; i &lt; x; i++) {<br />
        for (int j = ; j &lt; y; j++) {<br />
            for (int k = ; k &lt; z; k++) {<br />
                foo[i][j][k] = 1.0;<br />
            }<br />
        }<br />
    }<br />
    cout &lt;&lt; foo[][][] &lt;&lt; endl; // 1.0<br />
    bar(foo);<br />
    system("pause");<br />
    return ;<br />
}<br />
int bar(double arr[][y][z]) {<br />
    cout &lt;&lt; "function invoked value: " &lt;&lt; arr[][][] &lt;&lt; endl;<br />
    return ;<br />
}</pre>
</div>
<p>　　如上所示，最终结果为：</p>
<div>
<pre class="prettyprint linenums">
function invoked value1</pre>
</div>
<p>　　注意，在传递三维数组作为参数时，数组的第一个[]中为空，而第二第三个不能为空。</p>
<p>　　这样，对于大部分情况下的三维数组就可以轻松处理了。</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/rqlm3k09.html">分布式开放消息系统&lpar;RocketMQ&rpar;的原理与实践</a>
		</li>
						<li><a href="https://www.batexi.com/a/r93pr6n8.html">Unity3D脚本行尾&lpar;Line Endings&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9jpv4l9.html">springMVC 错误页面配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/r93nmknq.html">例子：Basic Lens sample</a>
		</li>
						<li><a href="https://www.batexi.com/a/4qnlz3k9.html">Laterality issue on fMRI image</a>
		</li>
						<li><a href="https://www.batexi.com/a/rqly1ve9.html">OpenSwitch操作系统成为Linux基金会官方项目</a>
		</li>
						<li><a href="https://www.batexi.com/a/m9664nn9.html">C&plus;&plus; 自动指针  共享指针</a>
		</li>
						<li><a href="https://www.batexi.com/a/qydpxrjq.html">linux 进程&lpar;一&rpar;---基本概念</a>
		</li>
						<li><a href="https://www.batexi.com/a/qydelk2q.html">swift3&period;0基础语法&lpar;2&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2jg2kx8.html">Java学习记录 ： 画板的实现</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy1xyrjq.html">移动端APP列表点透事件处理方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rglr0r8.html">Github客户端以及Git shell的使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/8eyzmxx9.html">C&plus;&plus;入门篇十二</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4jz1k3q.html">MYSQL后更改ROOT的密码后无法启动服务报错1067</a>
		</li>
						<li><a href="https://www.batexi.com/a/qll6ykeq.html">usb之python&lpar;pyusb&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/q25p7xoq.html">Apache通过配置&period;htaccess文件禁止访问&period;git、&period;svn等目录</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4pgn6eq.html">&dollar;&bsol;rm&lbrace;NOIP&rcub;&dollar;前的模拟题整理&amp;&num;183&semi;菜鸡互啄篇</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o4vkm5q.html">Django 连接redis方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jmnvjg9.html">bzoj3505 &sol; P3166 &lbrack;CQOI2014&rsqb;数三角形</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rn03ddq.html">War Chess bfs&plus;优先队列</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/9gjlg649.html">git&mdash;&mdash;&Hat;和~的区别（转）</a>
			</li>
						<li><a href="https://www.batexi.com/a/q25r34xq.html">ext中对json数据的处理解析</a>
			</li>
						<li><a href="https://www.batexi.com/a/95g6zkvq.html">hadoop 组件 hdfs架构及读写流程</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdwmroz9.html">关于写css文件需要注意的事项</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxd1z0v9.html">Gitolite 权限控制</a>
			</li>
						<li><a href="https://www.batexi.com/a/qnv3lyg8.html">&starf; prototype、&lowbar;&lowbar;proto&lowbar;&lowbar; 详解</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdwmx279.html">Mongoose轻松搞定MongoDB，不要回调！</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv2xnjy9.html">css3实现卡牌旋转与物体发光效果</a>
			</li>
						<li><a href="https://www.batexi.com/a/qyyplxmq.html">Lombok自定义annotation扩展含Intellij插件</a>
			</li>
						<li><a href="https://www.batexi.com/a/8e4d7kj9.html">android 按照拼音模糊查询中如何把字符转换成拼音</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
